
uniform sampler2D texture;
uniform int need_swap;

varying mediump vec2 Frag_UV;
varying mediump vec4 Frag_Color;

void main()
{
	mediump vec4 color = texture2D(texture, Frag_UV);
	color = mix(
		color * color,
		color,
		(sin(Frag_UV.y * 1024.0 * 3.14159265359) + 1.0) * 0.5
	);
	gl_FragColor = vec4(pow(color.rgb, vec3(2.2/3.0)) * 2.0, 1.0);
}

